Name: 	 	gpodder
Summary: 	A graphical podcast catcher
Version: 	3.2.0
Release: 	%mkrel 3
Source:		http://gpodder.org/src/%{name}-%{version}.tar.gz
URL:		http://gpodder.org/
#gw SimpleGladeApp is LGPL
License:	GPLv3+ and LGPLv2+
Group:		Networking/News
BuildArch:	noarch
BuildRequires:	python-devel
BuildRequires:	python-feedparser >= 5.0.1
BuildRequires:	python-mygpoclient
BuildRequires:	imagemagick
BuildRequires:	desktop-file-utils
BuildRequires:	help2man
BuildRequires:	intltool
BuildRequires:	python-mygpoclient
Requires:	pygtk2.0 >= 2.6
Requires:	python-feedparser >= 5.0.1
Requires:	python-mygpoclient >= 1.4
# gw required for HTML show notes
Requires:	python-webkitgtk
# gw for Bluetooth support
Suggests:	bluez-utils bluez-gnome
# for dbus support
Suggests:	python-dbus

%description
gPodder is a Podcast reciever/catcher written in Python, using GTK. It manages
podcast feeds for you and automatically downloads all podcasts from as many
feeds as you like.

%prep
%setup -q
%apply_patches

#drop ubuntu specific extensions
rm -rf share/gpodder/extensions/ubuntu_*.py

%install
%makeinstall_std

%find_lang %{name}

desktop-file-install --vendor="" \
  --add-category="GTK;Network;News" \
  --dir %{buildroot}%{_datadir}/applications \
		%{buildroot}%{_datadir}/applications/*

%files -f %{name}.lang
%doc README
%{_bindir}/*
%{_datadir}/dbus-1/services/org.gpodder.service
%{_datadir}/%{name}/
%{py_puresitedir}/%{name}/
%{py_puresitedir}/*.egg-info
%{_mandir}/man1/*
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/*/apps/gpodder.*


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 3.2.0-3.mga3
+ Revision: 352531
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Aug 11 2012 wally <wally> 3.2.0-2.mga3
+ Revision: 280736
- drop ubuntu specific extensions
- clean .spec

* Thu Jul 26 2012 fwang <fwang> 3.2.0-1.mga3
+ Revision: 274438
- update file list
- new version 3.2.0

* Wed Jan 25 2012 fwang <fwang> 3.0.4-1.mga2
+ Revision: 201405
- new version 3.0.4

* Mon Jan 23 2012 fwang <fwang> 3.0.3-1.mga2
+ Revision: 200193
- new version 3.0.3

* Mon Jan 02 2012 fwang <fwang> 3.0.2-1.mga2
+ Revision: 189603
- new version 3.0.2

* Tue Nov 15 2011 fwang <fwang> 3.0.1-1.mga2
+ Revision: 167874
- cleanup br
- new version 3.0.1

* Fri Sep 09 2011 tv <tv> 2.18-1.mga2
+ Revision: 141788
- new release

* Tue Jul 12 2011 kharec <kharec> 2.16-1.mga2
+ Revision: 122917
- new version 2.16

* Tue Jul 05 2011 ahmad <ahmad> 2.15-3.mga2
+ Revision: 118606
- Suggest python-dbus

* Thu Jun 09 2011 ahmad <ahmad> 2.15-2.mga2
+ Revision: 102685
- Drop old/unneeded scriptlets
- imported package gpodder

